XScreenSaver(1)

NAME
xteevee - Simulate various TV problems

SYNOPSIS
xteevee [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-cycle] [-no-cycle] [-static] [-no-static] [-roll] [-no-roll] [-bars] [-no-bars]

DESCRIPTION
xteevee simulates various television problems, fondly re-creating the days when computers were fun and I spent my time with an Atari 400 hooked up to a black-and-white TV I found in someone's trash.

When run, xteevee picks a mode to display from the available options. If modes are explicitly set on the command-line, they over-ride the implicit options and will be choosen among exclusively. If modes are explicitly excluded from the command-line, the they are simply removed from contention. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-demo(1) for more details.

See also xanalogtv(1) for a more sophisticated (but more graphics-intensive) implementation of this concept.

OPTIONS
xteevee accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-cycle
    Cycle through all the available modes. This is the default.

-no-cycle
    Don't cycle modes.

-static
    Explicitly select the "static" mode.

-no-static
    Explicitly forbid the "static" mode.

-roll
    Explicitly select the "vertical roll" mode.

-no-roll
    Explicitly forbid the "vertical roll" mode.

-bars
    Explicitly select the "color bars" mode.

-no-bars
    Explicitly forbid the "color bars" mode.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

X RESOURCES
Notable X resources supported include the following:

static, roll and bars are booleans, defining which modes are to be implicitly available if xteevee is run without command-line mode selections. cycle is a boolean, defining if xteevee should cycle through each available mode or pick one and stick with it. delayMode and delayBetween are integers, defining how long each mode should be displayed and how long the time between them should be if cycle is on. staticSignal is an integer, defining the strength of the signal during the "static" mode, as a percentage.

BUGS
xteevee should simulate more TV problems.

SEE ALSO
X(1), xanalogtv(1), apple2(1), bsod(1), xscreensaver(1), xscreensaver-demo(1), xscreensaver-getimage(1)

COPYRIGHT
Copyright © 1999 by Greg Knauss. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. If you've gotten this far, then you're obviously looking for something to do. Go here: http://www.teevee.org.

AUTHOR
Greg Knauss <greg@eod.com>, 19-Nov-1999.